VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDMXCPlugIn"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'****************************************************************************
' This is a plugin demonstration for DMXControl 2.10
' - interface class module -
' You are allowed to use and adapt this code for your own plugin
' Frank Brueggemann, July 2008
' www.dmxcontrol.de
'****************************************************************************

Option Explicit

Implements IDMXCPlugin
Implements IDMXCModule

Public Property Get PluginName() As String
 PluginName = "DMXCInterfaceTest"
End Property


Private Property Get IDMXCModule_ModuleInfo() As DMXCTypeLib.Type_Module_Info
 Set IDMXCModule_ModuleInfo = New Type_Module_Info: With IDMXCModule_ModuleInfo
  .guid = "{b61b4c42-17ed-11da-94c7-00e08162165f}"  'adapt this line with unique GUID
                            'get a GUID from http://www.guidgen.com/Index.aspx
  .Name = "Plugin Test"                   'adapt this line
  .Description = "API Test 0.5"       'adapt this line
  .Author = "Frank Brueggemann"                       'adapt this line
  .Experimental = True

  .ProvidesToolWindow = True
  .Category = CAT_Control
  .FormName = "DMXCTest" 'adapt this line - Form.Name geht nicht, wrde Form laden
  Set .Frm = DMXCTestMain

  .ProvidesCommand = True
  Set .CommandModule = New clsCommands
  .ProvidesSceneType = False
  .UsesProvidedOutput = True
  .UsesMessaging = True
  With .Messages
   .Add MSG_Beat_Detected ' OK
   .Add MSG_Channel_Send ' OK
   .Add MSG_Channel_Set ' OK
   .Add MSG_Config_WillChange ' kein Signal
   .Add MSG_Config_Changed ' kein Signal
   .Add MSG_Command_Blackout ' OK
   .Add MSG_Command_Freeze ' OK
   .Add MSG_Device_Changed  '
   .Add MSG_Effect_Speed ' kein Signal
   .Add MSG_File_Save ' kein Signal
   .Add MSG_Item_Next ' kein Signal
   .Add MSG_Item_Select ' kein Signal
   .Add MSG_Key_Notify ' kein Signal ??
   .Add MSG_Master_Set ' OK, nur Grandmaster, kein Flashmaster
   .Add MSG_Modules_Changed ' kein Signal, Bedeutung = ???
   .Add MSG_Scenelist_Go ' kein Signal
   .Add MSG_SM_Flash ' OK
   .Add MSG_SM_Move ' kein Signal
   .Add MSG_SM_Set ' kein Signal
   .Add MSG_Toggle_OnOff ' kein Signal
   .Add MSG_Window_View ' kein Signal
  End With
 End With
End Property

Private Function IDMXCPlugin_Configure() As Boolean
' if special plugin configuration is required call a procedure that creates configuration dialoge
 IDMXCPlugin_Configure = True
 Call DMXCTestConfig.showConfig
End Function


Private Function IDMXCPlugin_Disable() As Boolean
 IDMXCPlugin_Disable = False
End Function

Private Function IDMXCPlugin_Enable() As Boolean
 IDMXCPlugin_Enable = True
End Function

Private Function IDMXCPlugin_Init(CallingAppTitle As String, MyFilename As String, DMXCPluginHelper As DMXCTypeLib.IPluginHelper) As Boolean
 Set mHelper = DMXCPluginHelper
 'Init = True
 IDMXCPlugin_Init = True
 MsgBox ("Plugin init")
 beatReceiveMode = False
 itemReceiveMode = False
 channelReceiveMode = False
 dmxinReceiveMode = False
 restReceiveMode = False
 masterReceiveMode = False
 submasterReceiveMode = False
  
End Function

Private Function IDMXCPlugin_MessageHandle(msg As DMXCTypeLib.MSGs, arg1 As Long, arg2 As Long) As Long
 
 If glbReceiveMode Then
  Call [DMXCTestMessages].analyseMsg(msg, arg1, arg2)
 End If

End Function

Private Property Get IDMXCPlugin_PluginName() As String
 IDMXCPlugin_PluginName = PluginName
End Property

Private Function IDMXCPlugin_Term() As Boolean
'operation for termination the plugin
 IDMXCPlugin_Term = True
 MsgBox ("Plugin terminated")
End Function

'Private Function ICommandServer_ExecuteCommand()

'End Function
